Skip to main content
POST
/
api
/
v1
/
verification
/
qr_code_verification
PH Philsys Qr Verification
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/qr_code_verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "DateIssued": "<string>",
  "Issuer": "<string>",
  "subject": {
    "Suffix": "<string>",
    "lName": "<string>",
    "fName": "<string>",
    "mName": "<string>",
    "sex": "<string>",
    "BF": "<string>",
    "DOB": "June 06, 1992",
    "POB": "<string>",
    "PCN": "<string>"
  },
  "alg": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "isValid": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Philsys API Help Page

Validate QR code content and issuer authenticity.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
DateIssued
string
required

Date the document or record was issued.

Example:

"29 August 2023"

Issuer
string
required

The authority or organization that issued the document.

Example:

"PSA"

subject
object
required
alg
string
required

Algorithm used to validate QR signature.

Example:

"EDDSA"

template_id
integer
required

Identifier used to categorize or group requests for tracking or reporting.

Example:

12345

verification_id
string
required

Unique identifier for the verification request.

Example:

"{your_created_verification_id}"

Response

200 - application/json

QR verification processed successfully